- Use
searchto match suppression email addresses. - Use
filters[]to filter by supported fields. The developer suppressions list currently supports thetypefilter. - Use
sorting[]to control sort order. If you do not provide sorting, suppressions are ordered bycreated_atdescending. - Use
filters[]withidset tocreated_atand avalueobject containingstartand/orendto apply a created-at date range filter. - Use
per_pageto control pagination size. The default is10.
List Suppressions
Retrieve the suppressions stored for your workspace. Results are paginated and include the suppression ID, email address, suppression type, and creation timestamp.
Query Options
Filtering, searching, sorting, and pagination supported by the list endpoint
GET
/v1/workspaces/:workspace/suppressionsList suppressions for a workspace
Path parameters
workspacestring Required ID of your workspace
Request body
searchstringQuery parameter used to search by suppression email
per_pagenumberQuery parameter for results per page. Defaults to `10`.
filters[]arrayQuery parameter containing JSON-encoded filter objects. Supported filter `id` values currently include `type` and `created_at`.
Show Object Properties
sorting[]arrayQuery parameter containing JSON-encoded sort descriptors
Show Object Properties